package org.insa.graphs.algorithm.shortestpath;

import org.insa.graphs.model.Node;
import java.lang.Comparable;

public class LabelStar extends Label implements Comparable<Label>{
	
	private double estimation;
	
	public LabelStar(Node init_Node, double init_estimation) {
		super(init_Node);
		this.estimation = init_estimation;
	}
	
	public double getEstimation() {
		return this.estimation;
	}
	
	public double getTotalCost() {
		return this.estimation + super.getCost();
	}
}